Debian Bug report logs - #586404
d-i must not mix udev packages from different releases

version graph

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Sat, 19 Jun 2010 10:03:02 UTC

Severity: important

Fixed in version debian-installer/20100722

Done: Otavio Salvador <otavio@ossystems.com.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Sat, 19 Jun 2010 10:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 19 Jun 2010 10:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Sat, 19 Jun 2010 12:00:06 +0200
Package:  udev-udeb
Version:  157-1
Severity: important
User:     debian-edu@lists.debian.org
UserTags: debian-edu

Since some days ago, the debian-installer run in Squeeze is very slow
some times.  Looking at the process list, I was able to trace it to
the calls to 'udevadm settle' being done several times during
installation.  For example removing lvm partitions currently take 3
minutes _each_ because of this.

I did an strace of such udevadm run to try to figure out what is going
on.  Here is the full strace log:

execve("/sbin/udevadm", ["udevadm", "settle"], [/* 14 vars */]) = 0
brk(0)                                  = 0x8fa0000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb8095000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = -1 ENOENT (No such file or directory)
open("/lib/tls/i686/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/lib/tls/i686/sse2/cmov", 0xbfcedf4c) = -1 ENOENT (No such file or directory)
open("/lib/tls/i686/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/lib/tls/i686/sse2", 0xbfcedf4c) = -1 ENOENT (No such file or directory)
open("/lib/tls/i686/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/lib/tls/i686/cmov", 0xbfcedf4c) = -1 ENOENT (No such file or directory)
open("/lib/tls/i686/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/lib/tls/i686", 0xbfcedf4c)     = -1 ENOENT (No such file or directory)
open("/lib/tls/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/lib/tls/sse2/cmov", 0xbfcedf4c) = -1 ENOENT (No such file or directory)
open("/lib/tls/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/lib/tls/sse2", 0xbfcedf4c)     = -1 ENOENT (No such file or directory)
open("/lib/tls/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/lib/tls/cmov", 0xbfcedf4c)     = -1 ENOENT (No such file or directory)
open("/lib/tls/libc.so.6", O_RDONLY)    = -1 ENOENT (No such file or directory)
stat64("/lib/tls", 0xbfcedf4c)          = -1 ENOENT (No such file or directory)
open("/lib/i686/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/lib/i686/sse2/cmov", 0xbfcedf4c) = -1 ENOENT (No such file or directory)
open("/lib/i686/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/lib/i686/sse2", 0xbfcedf4c)    = -1 ENOENT (No such file or directory)
open("/lib/i686/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/lib/i686/cmov", 0xbfcedf4c)    = -1 ENOENT (No such file or directory)
open("/lib/i686/libc.so.6", O_RDONLY)   = -1 ENOENT (No such file or directory)
stat64("/lib/i686", 0xbfcedf4c)         = -1 ENOENT (No such file or directory)
open("/lib/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/lib/sse2/cmov", 0xbfcedf4c)    = -1 ENOENT (No such file or directory)
open("/lib/sse2/libc.so.6", O_RDONLY)   = -1 ENOENT (No such file or directory)
stat64("/lib/sse2", 0xbfcedf4c)         = -1 ENOENT (No such file or directory)
open("/lib/cmov/libc.so.6", O_RDONLY)   = -1 ENOENT (No such file or directory)
stat64("/lib/cmov", 0xbfcedf4c)         = -1 ENOENT (No such file or directory)
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320m\1\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1315008, ...}) = 0
mmap2(NULL, 1325384, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7f51000
mmap2(0xb808f000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x13d) = 0xb808f000
mmap2(0xb8092000, 10568, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb8092000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7f50000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb7f508d0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
mprotect(0xb808f000, 8192, PROT_READ)   = 0
mprotect(0xb80b3000, 4096, PROT_READ)   = 0
brk(0)                                  = 0x8fa0000
brk(0x8fc1000)                          = 0x8fc1000
open("/etc/udev/udev.conf", O_RDONLY|O_LARGEFILE|O_CLOEXEC) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=15, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7f4f000
read(3, "udev_log=\"err\"\n", 4096)     = 15
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xb7f4f000, 4096)                = 0
rt_sigaction(SIGALRM, {0x8051df8, [], 0}, NULL, 8) = 0
rt_sigaction(SIGUSR1, {0x8051df8, [], 0}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [USR1 ALRM], NULL, 8) = 0
alarm(180)                              = 0
getuid32()                              = 0
socket(PF_FILE, SOCK_DGRAM, 0)          = 3
rt_sigprocmask(SIG_BLOCK, [USR1 ALRM], [], 8) = 0
sendto(3, "udev-157\0\0\0\0\0\0\0\0\352\35\255\336\7\0\0\0\0\0\0\0\0\0\0\0"..., 280, 0, {sa_family=AF_FILE, path=@"/org/kernel/udev/udevd"}, 25) = 280
rt_sigsuspend([])                       = ? ERESTARTNOHAND (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [USR1 ALRM])
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
close(3)                                = 0
open("/dev/.udev/queue.bin", O_RDONLY|O_LARGEFILE|O_CLOEXEC) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=2030, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7f4f000
read(3, "5\"\0\0\0\0\0\0006\"\0\0\0\0\0\0\33\0/devices/virtu"..., 4096) = 2030
read(3, "", 4096)                       = 0
open("/sys/kernel/uevent_seqnum", O_RDONLY|O_LARGEFILE|O_CLOEXEC) = 4
read(4, "8798\n", 32)                   = 5
close(4)                                = 0
close(3)                                = 0
munmap(0xb7f4f000, 4096)                = 0
open("/dev/.udev/queue.bin", O_RDONLY|O_LARGEFILE|O_CLOEXEC) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=2030, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7f4f000
read(3, "5\"\0\0\0\0\0\0006\"\0\0\0\0\0\0\33\0/devices/virtu"..., 4096) = 2030
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xb7f4f000, 4096)                = 0
exit_group(0)                           = ?


The process hang after the sendto() call and the rt_sigsuspend() call,
and time out with SIGALRM after what I suspect is 3 minutes.

Here is a fragment from the installation syslog showing the effect of
these slow calls:

Jun 19 00:38:18 partman:   Found volume group "vg_system" using metadata type lvm2
Jun 19 00:38:19 partman-lvm:   9 logical volume(s) in volume group "vg_system" now active
Jun 19 00:44:22 partman-lvm:   /dev/cdrom: open failed: Read-only file system
Jun 19 00:44:22 partman-lvm:   Logical volume "opt" successfully removed
Jun 19 00:47:22 partman-lvm:   /dev/cdrom: open failed: Read-only file system
Jun 19 00:47:22 partman-lvm:   Logical volume "root" successfully removed
Jun 19 00:50:22 partman-lvm:   /dev/cdrom: open failed: Read-only file system
Jun 19 00:50:22 partman-lvm:   Logical volume "skole+backup" successfully removed
Jun 19 00:53:23 partman-lvm:   /dev/cdrom: open failed: Read-only file system
Jun 19 00:53:23 partman-lvm:   Logical volume "skole+tjener+home0" successfully removed
Jun 19 00:56:23 partman-lvm:   /dev/cdrom: open failed: Read-only file system
Jun 19 00:56:23 partman-lvm:   Logical volume "swap_1" successfully removed
Jun 19 00:59:23 partman-lvm:   /dev/cdrom: open failed: Read-only file system
Jun 19 00:59:23 partman-lvm:   Logical volume "usr" successfully removed
Jun 19 01:02:23 partman-lvm:   /dev/cdrom: open failed: Read-only file system
Jun 19 01:02:23 partman-lvm:   Logical volume "var" successfully removed
Jun 19 01:05:23 partman-lvm:   /dev/cdrom: open failed: Read-only file system
Jun 19 01:05:23 partman-lvm:   Logical volume "var+opt+ltsp+swapfiles" successfully removed
Jun 19 01:08:23 partman-lvm:   /dev/cdrom: open failed: Read-only file system
Jun 19 01:08:23 partman-lvm:   Logical volume "var+spool+squid" successfully removed
Jun 19 01:08:23 partman-lvm:   0 logical volume(s) in volume group "vg_system" now active
Jun 19 01:11:23 partman-lvm:   Volume group "vg_system" successfully removed

Notice how there is a 3 minutes delay between each removal.

Any ideas how to debug or fix this?

Setting severity to important as this affect debian-installer badly
without breaking the installation completely.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Sat, 19 Jun 2010 10:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 19 Jun 2010 10:27:09 GMT) Full text and rfc822 format available.

Message #10 received at 586404@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Petter Reinholdtsen <pere@hungry.com>, 586404@bugs.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Sat, 19 Jun 2010 12:23:56 +0200
[Message part 1 (text/plain, inline)]
On Jun 19, Petter Reinholdtsen <pere@hungry.com> wrote:

> The process hang after the sendto() call and the rt_sigsuspend() call,
> and time out with SIGALRM after what I suspect is 3 minutes.
It does not "hang", unless you can prove the contrary it is waiting for
completion of pending events.
Check /dev/.udev/queue/ while it is waiting, for a start.
Maybe some package caused an events deadlock.

You should also investigate the packages calling "udevadm settle" to be
really sure that this is actually needed, often it is not.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Sat, 19 Jun 2010 10:39:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 19 Jun 2010 10:39:16 GMT) Full text and rfc822 format available.

Message #15 received at 586404@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 586404@bugs.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Sat, 19 Jun 2010 12:35:49 +0200
[Marco d'Itri]
> It does not "hang", unless you can prove the contrary it is waiting
> for completion of pending events.

How can I "prove the contrary"?  Have in mind that I do not really
know much about the inner workings of udev.

> Check /dev/.udev/queue/ while it is waiting, for a start.

That directory is empty while it is waiting.  How can I find the list
of pending events?

> Maybe some package caused an events deadlock.

How can I test this idea?

> You should also investigate the packages calling "udevadm settle" to
> be really sure that this is actually needed, often it is not.

How can this idea be tested?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Thu, 24 Jun 2010 13:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Allard Hoeve <allard@byte.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 24 Jun 2010 13:24:06 GMT) Full text and rfc822 format available.

Message #20 received at 586404@bugs.debian.org (full text, mbox):

From: Allard Hoeve <allard@byte.nl>
To: 586404@bugs.debian.org
Subject: udev queue
Date: Thu, 24 Jun 2010 15:21:42 +0200
[Message part 1 (text/plain, inline)]
Dear Maintainer,

I can reproduce this easily using a virtual machine. I looked in
/etc/.udev/queue and I can confirm the directory is and remains empty.


I'm unsure of how to debug this, so any pointers would be great.

Regards,

Allard Hoeve
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Thu, 24 Jun 2010 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Springl <springl-586404@bfw-online.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 24 Jun 2010 18:18:04 GMT) Full text and rfc822 format available.

Message #25 received at 586404@bugs.debian.org (full text, mbox):

From: Stephan Springl <springl-586404@bfw-online.de>
To: mailto: ;
Subject: udev 157 with udevadm 154 works
Date: Thu, 24 Jun 2010 19:12:25 +0200 (MSZ)
Hi,

we have the same problem here.  Installing with a recent squeeze netinst 
makes every udevadm settle take exactly the default timeout of three 
minutes and there is a lot of them.  Discovering disks takes over 20 
minutes.  Replacing udevadm (157) by udevadm from 
udev-udeb_154-1_i386.udeb after downloading installer components makes 
the problem go away.

Regards,
Stephan




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Thu, 24 Jun 2010 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 24 Jun 2010 19:09:03 GMT) Full text and rfc822 format available.

Message #30 received at 586404@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Petter Reinholdtsen <pere@hungry.com>, allard@byte.nl, springl-586404@bfw-online.de, 586404@bugs.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Thu, 24 Jun 2010 21:05:47 +0200
[Message part 1 (text/plain, inline)]
Can you try rebuilding your initramfs, just to be sure that udevd and
udevadm are from the same version.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Thu, 24 Jun 2010 19:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Allard Hoeve <allard@byte.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 24 Jun 2010 19:24:03 GMT) Full text and rfc822 format available.

Message #35 received at 586404@bugs.debian.org (full text, mbox):

From: Allard Hoeve <allard@byte.nl>
To: "Marco d'Itri" <md@linux.it>
Cc: springl-586404@bfw-online.de, allard@byte.nl, Petter Reinholdtsen <pere@hungry.com>, 586404@bugs.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Thu, 24 Jun 2010 21:21:18 +0200
[Message part 1 (text/plain, inline)]
Marco,

Thanks for the feedback. I should've added that it's reproducable using the
d-i daily build. Will check versions tomorrow. But I issue they're the same
version in testing so will also be the same version in d-i.

Regards,

Allard

On Jun 24, 2010 9:06 PM, "Marco d&apos;Itri" <md@linux.it> wrote:

Can you try rebuilding your initramfs, just to be sure that udevd and
udevadm are from the same version.

--
ciao,
Marco

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwjrIsACgkQFGfw2OHuP7EAqwCaAyZx7zs920nl6zssxZhvxn8S
HD8An1gy0Ugl4Sl25QI3OPPlQZU5fNIb
=F10a
-----END PGP SIGNATURE-----
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Thu, 24 Jun 2010 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 24 Jun 2010 19:27:03 GMT) Full text and rfc822 format available.

Message #40 received at 586404@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Allard Hoeve <allard@byte.nl>
Cc: springl-586404@bfw-online.de, Petter Reinholdtsen <pere@hungry.com>, 586404@bugs.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Thu, 24 Jun 2010 21:25:26 +0200
[Message part 1 (text/plain, inline)]
On Jun 24, Allard Hoeve <allard@byte.nl> wrote:

> Thanks for the feedback. I should've added that it's reproducable using the
> d-i daily build. Will check versions tomorrow. But I issue they're the same
> version in testing so will also be the same version in d-i.
If it happens while installing it has to be the same version, so we
still do not know.
Can somebody provide the strace (-v -s 400 -ff) output of the waiting
udev and udevadm?

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Thu, 24 Jun 2010 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 24 Jun 2010 19:30:03 GMT) Full text and rfc822 format available.

Message #45 received at 586404@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Marco d'Itri <md@Linux.IT>
Cc: allard@byte.nl, springl-586404@bfw-online.de, 586404@bugs.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Thu, 24 Jun 2010 21:27:02 +0200
[Marco d'Itri]
> Can you try rebuilding your initramfs, just to be sure that udevd and
> udevadm are from the same version.

Not easily.  Is there a way to figure out which version of udevd and
udevadm I got by looking inside the binaries?

Where can I see the udev entries currently in the queue?

I can see that the udev-udeb package is upgraded from version 150-2 to
version 157-1 when the installer runs.  Is this a problem?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Thu, 24 Jun 2010 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 24 Jun 2010 19:51:03 GMT) Full text and rfc822 format available.

Message #50 received at 586404@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Petter Reinholdtsen <pere@hungry.com>
Cc: allard@byte.nl, springl-586404@bfw-online.de, 586404@bugs.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Thu, 24 Jun 2010 21:50:09 +0200
[Message part 1 (text/plain, inline)]
On Jun 24, Petter Reinholdtsen <pere@hungry.com> wrote:

> Where can I see the udev entries currently in the queue?
Run "udevadm settle --timeout=0".

> I can see that the udev-udeb package is upgraded from version 150-2 to
> version 157-1 when the installer runs.  Is this a problem?
In theory, it should not be.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Thu, 24 Jun 2010 21:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 24 Jun 2010 21:12:03 GMT) Full text and rfc822 format available.

Message #55 received at 586404@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Marco d'Itri <md@Linux.IT>
Cc: allard@byte.nl, springl-586404@bfw-online.de, 586404@bugs.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Thu, 24 Jun 2010 23:08:46 +0200
[Marco d'Itri]
>> Where can I see the udev entries currently in the queue?
> Run "udevadm settle --timeout=0".

After the udev-udeb package is upgraded, this call hang the same way
as 'udevadm settle', for 180 seconds before its alarm trigger.  Did
not test before the upgrade.

There are three udevd processes running.  stracing two of them show
ppoll(), while the last one with the lowest pid number do not show
which system call it is doing.  Not quite sure what is going on here.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Fri, 25 Jun 2010 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 25 Jun 2010 09:12:03 GMT) Full text and rfc822 format available.

Message #60 received at 586404@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Petter Reinholdtsen <pere@hungry.com>, 586404@bugs.debian.org
Cc: allard@byte.nl, springl-586404@bfw-online.de
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Fri, 25 Jun 2010 11:07:42 +0200
[Message part 1 (text/plain, inline)]
On Jun 24, Petter Reinholdtsen <pere@hungry.com> wrote:

> There are three udevd processes running.  stracing two of them show
> ppoll(), while the last one with the lowest pid number do not show
> which system call it is doing.  Not quite sure what is going on here.
You need to strace the parent process for the whole time udevadm settle
is running.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Fri, 25 Jun 2010 13:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Allard Hoeve <allard@byte.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 25 Jun 2010 13:00:06 GMT) Full text and rfc822 format available.

Message #65 received at 586404@bugs.debian.org (full text, mbox):

From: Allard Hoeve <allard@byte.nl>
To: "Marco d'Itri" <md@linux.it>
Cc: Petter Reinholdtsen <pere@hungry.com>, 586404@bugs.debian.org, springl-586404@bfw-online.de
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Fri, 25 Jun 2010 14:57:25 +0200
[Message part 1 (text/plain, inline)]
Hello Marco, Petter,


> You need to strace the parent process for the whole time udevadm settle
> is running.
>

I spent some time today doing the above. Please find several strace files
attached. The files have their original mtimes, so you'll be able to deduce
easily which of the files came first or last :)

Strange thing is that three of the strace files are empty. No output
for *strace
-v -s 400 -ff -o /tmp/udevadm.$$.log*.

Regards,

Allard
[Message part 2 (text/html, inline)]
[udevadm.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Fri, 25 Jun 2010 13:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Springl <springl-586404@bfw-online.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 25 Jun 2010 13:03:02 GMT) Full text and rfc822 format available.

Message #70 received at 586404@bugs.debian.org (full text, mbox):

From: Stephan Springl <springl-586404@bfw-online.de>
To: 586404@bugs.debian.org
Subject: strace output
Date: Fri, 25 Jun 2010 14:58:43 +0200 (MSZ)
Hi,

this is the trace of the udevd parent process (PID 326) and a single 
udevadm settle (PID 3843).  While installing squeeze with netboot/netinst 
in a qemu-kvm vm under squeeze, I started strace for the only udev 
process and ran a single udevadm settle process.  It took three minutes 
and during this time there was no udevd action at all.

For reference, I did the same thing with udevadm from 
udev-udeb_154-1_i386.udeb (PID 3850).  This time, udevadm settle exited 
immediately.

Regards,
Stephan

326   12:43:52.704499 restart_syscall(<... resuming interrupted call ...>) = 1
326   12:44:18.576267 recvmsg(4, {msg_name(0)=NULL, msg_iov(1)=[{"udev-157\0\0\0\0\0\0\0\0\352\35\255\336\7\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 280}], msg_controllen=24, {cmsg_len=24, cmsg_level=SOL_SOCKET, cmsg_type=SCM_CREDENTIALS{pid=3843, uid=0, gid=0}}, msg_flags=0}, 0) = 280
326   12:44:18.576379 poll([{fd=4, events=POLLIN}, {fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=7, events=POLLIN}, {fd=8, events=POLLIN}], 5, -1) = 1 ([{fd=4, revents=POLLIN}])
326   12:52:19.926739 recvmsg(4, {msg_name(0)=NULL, msg_iov(1)=[{"udev-154\0\0\0\0\0\0\0\0\352\35\255\336\10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 280}], msg_controllen=24, {cmsg_len=24, cmsg_level=SOL_SOCKET, cmsg_type=SCM_CREDENTIALS{pid=3850, uid=0, gid=0}}, msg_flags=0}, 0) = 280
326   12:52:19.926842 kill(3850, SIGUSR1) = 0
326   12:52:19.926864 poll([{fd=4, events=POLLIN}, {fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=7, events=POLLIN}, {fd=8, events=POLLIN}], 5, -1
3843  12:44:18.574008 execve("/sbin/udevadm", ["udevadm", "settle"], ["USER=root", "HOME=/", "dbg/flags=all-x", "TERM=linux", "base-installer/initramfs-tools/driver-policy=most", "BOOT_IMAGE=debian-linux", "PATH=/sbin:/usr/sbin:/bin:/usr/bin", "vga=normal", "localechooser/supported-locales=de_DE.UTF-8,de_DE,de_DE@euro,en_US.UTF-8,en_US,en_US.ISO-8859-15", "SHELL=/bin/sh", "initrd=debian-initrd.gz", "partman/confirm=true", "PWD=/", "partman/confirm_write_new_label=true", "priority=low"]) = 0
3843  12:44:18.574304 brk(0)            = 0x86f8000
3843  12:44:18.574356 access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3843  12:44:18.574404 mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb803c000
3843  12:44:18.574429 access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
3843  12:44:18.574457 open("/etc/ld.so.cache", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574488 open("/lib/tls/i686/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574511 stat64("/lib/tls/i686/sse2/cmov", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574531 open("/lib/tls/i686/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574566 stat64("/lib/tls/i686/sse2", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574586 open("/lib/tls/i686/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574603 stat64("/lib/tls/i686/cmov", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574620 open("/lib/tls/i686/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574636 stat64("/lib/tls/i686", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574651 open("/lib/tls/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574668 stat64("/lib/tls/sse2/cmov", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574684 open("/lib/tls/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574700 stat64("/lib/tls/sse2", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574716 open("/lib/tls/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574732 stat64("/lib/tls/cmov", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574748 open("/lib/tls/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574763 stat64("/lib/tls", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574779 open("/lib/i686/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574798 stat64("/lib/i686/sse2/cmov", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574815 open("/lib/i686/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574831 stat64("/lib/i686/sse2", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574847 open("/lib/i686/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574864 stat64("/lib/i686/cmov", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574879 open("/lib/i686/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574895 stat64("/lib/i686", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574911 open("/lib/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574928 stat64("/lib/sse2/cmov", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574943 open("/lib/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.574959 stat64("/lib/sse2", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.574981 open("/lib/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3843  12:44:18.575000 stat64("/lib/cmov", 0xbfa62f2c) = -1 ENOENT (No such file or directory)
3843  12:44:18.575016 open("/lib/libc.so.6", O_RDONLY) = 3
3843  12:44:18.575037 read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320m\1\0004\0\0\0H\6\24\0\0\0\0\0004\0 \0\n\0(\0C\0B\0\6\0\0\0004\0\0\0004\0\0\0004\0\0\0@\1\0\0@\1\0\0\5\0\0\0\4\0\0\0\3\0\0\0\220s\22\0\220s\22\0\220s\22\0\23\0\0\0\23\0\0\0\4\0\0\0\1\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\4\321\23\0\4\321\23\0\5\0\0\0\0\20\0\0\1\0\0\0\334\321\23\0\334\341\23\0\334\341\23\0\240'\0\0lW\0\0\6\0\0\0\0\20\0\0\2\0\0\0|\355\23\0|\375\23\0|\375\23\0\360\0\0\0\360\0\0\0\6\0\0\0\4\0\0\0\4\0\0\0t\1\0\0t\1\0\0t\1\0\0D\0\0\0D\0\0\0\4\0\0\0\4\0\0\0\7\0\0\0\334\321\23\0\334\341\23\0\334\341\23\0\10\0\0\0@\0\0\0\4\0\0\0\4\0\0\0P\345td\244s\22\0\244s\22\0\244s\22\0\2141\0\0\2141\0\0\4\0\0\0\4\0\0\0Q\345td\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\6\0\0\0\4\0\0\0R\345td\334\321\23\0\334\341\23\0\334\341\23\0$\36\0\0$\36\0\0\4\0\0\0\1\0\0\0\4\0\0\0\24\0\0\0\3\0\0\0GNU\0c\340t\34\35*f\360\257\240P\24"..., 512) = 512
3843  12:44:18.575142 fstat64(3, {st_dev=makedev(0, 1), st_ino=3388, st_mode=S_IFREG|0755, st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=2576, st_size=1315008, st_atime=2010/06/25-12:44:18, st_mtime=2010/06/08-14:09:24, st_ctime=2010/06/25-12:42:42}) = 0
3843  12:44:18.575192 mmap2(NULL, 1325384, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7ef8000
3843  12:44:18.575209 mmap2(0xb8036000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x13d) = 0xb8036000
3843  12:44:18.575238 mmap2(0xb8039000, 10568, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb8039000
3843  12:44:18.575263 close(3)          = 0
3843  12:44:18.575295 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7ef7000
3843  12:44:18.575316 set_thread_area({entry_number:-1 -> 6, base_addr:0xb7ef78d0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
3843  12:44:18.575421 mprotect(0xb8036000, 8192, PROT_READ) = 0
3843  12:44:18.575450 mprotect(0xb805a000, 4096, PROT_READ) = 0
3843  12:44:18.575545 brk(0)            = 0x86f8000
3843  12:44:18.575560 brk(0x8719000)    = 0x8719000
3843  12:44:18.575604 open("/etc/udev/udev.conf", O_RDONLY|O_LARGEFILE|O_CLOEXEC) = 3
3843  12:44:18.575637 fstat64(3, {st_dev=makedev(0, 1), st_ino=5775, st_mode=S_IFREG|0644, st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=15, st_atime=2010/06/06-12:39:30, st_mtime=2010/06/06-12:39:30, st_ctime=2010/06/25-12:42:44}) = 0
3843  12:44:18.575681 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7ef6000
3843  12:44:18.575697 read(3, "udev_log=\"err\"\n", 4096) = 15
3843  12:44:18.575761 read(3, "", 4096) = 0
3843  12:44:18.575778 close(3)          = 0
3843  12:44:18.575794 munmap(0xb7ef6000, 4096) = 0
3843  12:44:18.575832 rt_sigaction(SIGALRM, {0x8051df8, [], 0}, NULL, 8) = 0
3843  12:44:18.575859 rt_sigaction(SIGUSR1, {0x8051df8, [], 0}, NULL, 8) = 0
3843  12:44:18.575885 rt_sigprocmask(SIG_UNBLOCK, [USR1 ALRM], NULL, 8) = 0
3843  12:44:18.575903 alarm(180)        = 0
3843  12:44:18.575927 getuid32()        = 0
3843  12:44:18.575948 socket(PF_FILE, SOCK_DGRAM, 0) = 3
3843  12:44:18.576023 rt_sigprocmask(SIG_BLOCK, [USR1 ALRM], [], 8) = 0
3843  12:44:18.576047 sendto(3, "udev-157\0\0\0\0\0\0\0\0\352\35\255\336\7\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 280, 0, {sa_family=AF_FILE, path=@"/org/kernel/udev/udevd"}, 25) = 280
3843  12:44:18.576407 rt_sigsuspend([]) = ? ERESTARTNOHAND (To be restarted)
3843  12:47:18.576552 --- SIGALRM (Alarm clock) @ 0 (0) ---
3843  12:47:18.576975 sigreturn()       = ? (mask now [USR1 ALRM])
3843  12:47:18.577180 rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
3843  12:47:18.577459 close(3)          = 0
3843  12:47:18.577779 open("/dev/.udev/queue.bin", O_RDONLY|O_LARGEFILE|O_CLOEXEC) = 3
3843  12:47:18.577987 fstat64(3, {st_dev=makedev(0, 13), st_ino=2501, st_mode=S_IFREG|0644, st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=385, st_atime=2010/06/25-12:41:58, st_mtime=2010/06/25-12:41:57, st_ctime=2010/06/25-12:41:57}) = 0
3843  12:47:18.578159 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7ef6000
3843  12:47:18.578319 read(3, "\213\2\0\0\0\0\0\0\214\2\0\0\0\0\0\0\23\0/module/pcmcia_core\215\2\0\0\0\0\0\0\24\0/class/pcmcia_socket\215\2\0\0\0\0\0\0\0\0\214\2\0\0\0\0\0\0\0\0\216\2\0\0\0\0\0\0\26\0/module/rsrc_nonstatic\216\2\0\0\0\0\0\0\0\0\217\2\0\0\0\0\0\0\16\0/module/i82365\220\2\0\0\0\0\0\0\34\0/bus/platform/drivers/i82365\221\2\0\0\0\0\0\0\32\0/devices/platform/i82365.0\222\2\0\0\0\0\0\0\32\0/devices/platform/i82365.0\223\2\0\0\0\0\0\0\34\0/bus/platform/drivers/i82365\224\2\0\0\0\0\0\0\16\0/module/i82365\217\2\0\0\0\0\0\0\0\0\224\2\0\0\0\0\0\0\0\0\220\2\0\0\0\0\0\0\0\0\223\2\0\0\0\0\0\0\0\0\221\2\0\0\0\0\0\0\0\0\222\2\0\0\0\0\0\0\0\0", 4096) = 385
3843  12:47:18.578683 read(3, "", 4096) = 0
3843  12:47:18.578742 open("/sys/kernel/uevent_seqnum", O_RDONLY|O_LARGEFILE|O_CLOEXEC) = 4
3843  12:47:18.578875 read(4, "660\n", 32) = 4
3843  12:47:18.578960 close(4)          = 0
3843  12:47:18.579105 close(3)          = 0
3843  12:47:18.579157 munmap(0xb7ef6000, 4096) = 0
3843  12:47:18.579281 open("/dev/.udev/queue.bin", O_RDONLY|O_LARGEFILE|O_CLOEXEC) = 3
3843  12:47:18.579410 fstat64(3, {st_dev=makedev(0, 13), st_ino=2501, st_mode=S_IFREG|0644, st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=385, st_atime=2010/06/25-12:41:58, st_mtime=2010/06/25-12:41:57, st_ctime=2010/06/25-12:41:57}) = 0
3843  12:47:18.579530 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7ef6000
3843  12:47:18.579588 read(3, "\213\2\0\0\0\0\0\0\214\2\0\0\0\0\0\0\23\0/module/pcmcia_core\215\2\0\0\0\0\0\0\24\0/class/pcmcia_socket\215\2\0\0\0\0\0\0\0\0\214\2\0\0\0\0\0\0\0\0\216\2\0\0\0\0\0\0\26\0/module/rsrc_nonstatic\216\2\0\0\0\0\0\0\0\0\217\2\0\0\0\0\0\0\16\0/module/i82365\220\2\0\0\0\0\0\0\34\0/bus/platform/drivers/i82365\221\2\0\0\0\0\0\0\32\0/devices/platform/i82365.0\222\2\0\0\0\0\0\0\32\0/devices/platform/i82365.0\223\2\0\0\0\0\0\0\34\0/bus/platform/drivers/i82365\224\2\0\0\0\0\0\0\16\0/module/i82365\217\2\0\0\0\0\0\0\0\0\224\2\0\0\0\0\0\0\0\0\220\2\0\0\0\0\0\0\0\0\223\2\0\0\0\0\0\0\0\0\221\2\0\0\0\0\0\0\0\0\222\2\0\0\0\0\0\0\0\0", 4096) = 385
3843  12:47:18.579971 read(3, "", 4096) = 0
3843  12:47:18.580026 close(3)          = 0
3843  12:47:18.580089 munmap(0xb7ef6000, 4096) = 0
3843  12:47:18.580219 exit_group(0)     = ?
3850  12:52:19.924502 execve("/tmp/udevadm", ["/tmp/udevadm", "settle"], ["USER=root", "OLDPWD=/", "HOME=/", "dbg/flags=all-x", "TERM=linux", "base-installer/initramfs-tools/driver-policy=most", "BOOT_IMAGE=debian-linux", "PATH=/sbin:/usr/sbin:/bin:/usr/bin", "vga=normal", "localechooser/supported-locales=de_DE.UTF-8,de_DE,de_DE@euro,en_US.UTF-8,en_US,en_US.ISO-8859-15", "SHELL=/bin/sh", "initrd=debian-initrd.gz", "partman/confirm=true", "PWD=/tmp", "partman/confirm_write_new_label=true", "priority=low"]) = 0
3850  12:52:19.924743 brk(0)            = 0x942f000
3850  12:52:19.924790 access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3850  12:52:19.924838 mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7f0b000
3850  12:52:19.924862 access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
3850  12:52:19.924889 open("/etc/ld.so.cache", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.924920 open("/lib/tls/i686/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.924942 stat64("/lib/tls/i686/sse2/cmov", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.924962 open("/lib/tls/i686/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.924979 stat64("/lib/tls/i686/sse2", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925026 open("/lib/tls/i686/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925043 stat64("/lib/tls/i686/cmov", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925059 open("/lib/tls/i686/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925075 stat64("/lib/tls/i686", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925091 open("/lib/tls/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925119 stat64("/lib/tls/sse2/cmov", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925136 open("/lib/tls/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925152 stat64("/lib/tls/sse2", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925168 open("/lib/tls/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925184 stat64("/lib/tls/cmov", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925200 open("/lib/tls/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925215 stat64("/lib/tls", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925231 open("/lib/i686/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925250 stat64("/lib/i686/sse2/cmov", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925267 open("/lib/i686/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925283 stat64("/lib/i686/sse2", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925299 open("/lib/i686/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925315 stat64("/lib/i686/cmov", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925331 open("/lib/i686/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925347 stat64("/lib/i686", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925363 open("/lib/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925379 stat64("/lib/sse2/cmov", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925395 open("/lib/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925410 stat64("/lib/sse2", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925426 open("/lib/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
3850  12:52:19.925444 stat64("/lib/cmov", 0xbfca835c) = -1 ENOENT (No such file or directory)
3850  12:52:19.925459 open("/lib/libc.so.6", O_RDONLY) = 3
3850  12:52:19.925479 read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320m\1\0004\0\0\0H\6\24\0\0\0\0\0004\0 \0\n\0(\0C\0B\0\6\0\0\0004\0\0\0004\0\0\0004\0\0\0@\1\0\0@\1\0\0\5\0\0\0\4\0\0\0\3\0\0\0\220s\22\0\220s\22\0\220s\22\0\23\0\0\0\23\0\0\0\4\0\0\0\1\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\4\321\23\0\4\321\23\0\5\0\0\0\0\20\0\0\1\0\0\0\334\321\23\0\334\341\23\0\334\341\23\0\240'\0\0lW\0\0\6\0\0\0\0\20\0\0\2\0\0\0|\355\23\0|\375\23\0|\375\23\0\360\0\0\0\360\0\0\0\6\0\0\0\4\0\0\0\4\0\0\0t\1\0\0t\1\0\0t\1\0\0D\0\0\0D\0\0\0\4\0\0\0\4\0\0\0\7\0\0\0\334\321\23\0\334\341\23\0\334\341\23\0\10\0\0\0@\0\0\0\4\0\0\0\4\0\0\0P\345td\244s\22\0\244s\22\0\244s\22\0\2141\0\0\2141\0\0\4\0\0\0\4\0\0\0Q\345td\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\6\0\0\0\4\0\0\0R\345td\334\321\23\0\334\341\23\0\334\341\23\0$\36\0\0$\36\0\0\4\0\0\0\1\0\0\0\4\0\0\0\24\0\0\0\3\0\0\0GNU\0c\340t\34\35*f\360\257\240P\24"..., 512) = 512
3850  12:52:19.925585 fstat64(3, {st_dev=makedev(0, 1), st_ino=3388, st_mode=S_IFREG|0755, st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=2576, st_size=1315008, st_atime=2010/06/25-12:52:19, st_mtime=2010/06/08-14:09:24, st_ctime=2010/06/25-12:42:42}) = 0
3850  12:52:19.925624 mmap2(NULL, 1325384, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7dc7000
3850  12:52:19.925649 mmap2(0xb7f05000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x13d) = 0xb7f05000
3850  12:52:19.925680 mmap2(0xb7f08000, 10568, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7f08000
3850  12:52:19.925706 close(3)          = 0
3850  12:52:19.925735 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7dc6000
3850  12:52:19.925753 set_thread_area({entry_number:-1 -> 6, base_addr:0xb7dc68d0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
3850  12:52:19.925856 mprotect(0xb7f05000, 8192, PROT_READ) = 0
3850  12:52:19.925884 mprotect(0xb7f29000, 4096, PROT_READ) = 0
3850  12:52:19.925975 brk(0)            = 0x942f000
3850  12:52:19.925989 brk(0x9450000)    = 0x9450000
3850  12:52:19.926039 open("/etc/udev/udev.conf", O_RDONLY|O_LARGEFILE) = 3
3850  12:52:19.926073 fstat64(3, {st_dev=makedev(0, 1), st_ino=5775, st_mode=S_IFREG|0644, st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=15, st_atime=2010/06/25-12:44:18, st_mtime=2010/06/06-12:39:30, st_ctime=2010/06/25-12:42:44}) = 0
3850  12:52:19.926121 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7dc5000
3850  12:52:19.926137 read(3, "udev_log=\"err\"\n", 4096) = 15
3850  12:52:19.926198 read(3, "", 4096) = 0
3850  12:52:19.926214 close(3)          = 0
3850  12:52:19.926231 munmap(0xb7dc5000, 4096) = 0
3850  12:52:19.926320 rt_sigaction(SIGALRM, {0x8051a94, [], 0}, NULL, 8) = 0
3850  12:52:19.926348 rt_sigaction(SIGUSR1, {0x8051a94, [], 0}, NULL, 8) = 0
3850  12:52:19.926374 rt_sigprocmask(SIG_UNBLOCK, [USR1 ALRM], NULL, 8) = 0
3850  12:52:19.926393 alarm(180)        = 0
3850  12:52:19.926416 getuid32()        = 0
3850  12:52:19.926435 socket(PF_FILE, SOCK_DGRAM, 0) = 3
3850  12:52:19.926500 rt_sigprocmask(SIG_BLOCK, [USR1 ALRM], [], 8) = 0
3850  12:52:19.926522 sendto(3, "udev-154\0\0\0\0\0\0\0\0\352\35\255\336\10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 280, 0, {sa_family=AF_FILE, path=@"/org/kernel/udev/udevd"}, 25) = 280
3850  12:52:19.926888 rt_sigsuspend([]) = ? ERESTARTNOHAND (To be restarted)
3850  12:52:19.926903 --- SIGUSR1 (User defined signal 1) @ 0 (0) ---
3850  12:52:19.926914 sigreturn()       = ? (mask now [USR1 ALRM])
3850  12:52:19.926948 rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
3850  12:52:19.926964 close(3)          = 0
3850  12:52:19.926996 open("/dev/.udev/queue.bin", O_RDONLY|O_LARGEFILE) = 3
3850  12:52:19.927039 fstat64(3, {st_dev=makedev(0, 13), st_ino=2501, st_mode=S_IFREG|0644, st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=385, st_atime=2010/06/25-12:41:58, st_mtime=2010/06/25-12:41:57, st_ctime=2010/06/25-12:41:57}) = 0
3850  12:52:19.927072 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7dc5000
3850  12:52:19.927088 read(3, "\213\2\0\0\0\0\0\0\214\2\0\0\0\0\0\0\23\0/module/pcmcia_core\215\2\0\0\0\0\0\0\24\0/class/pcmcia_socket\215\2\0\0\0\0\0\0\0\0\214\2\0\0\0\0\0\0\0\0\216\2\0\0\0\0\0\0\26\0/module/rsrc_nonstatic\216\2\0\0\0\0\0\0\0\0\217\2\0\0\0\0\0\0\16\0/module/i82365\220\2\0\0\0\0\0\0\34\0/bus/platform/drivers/i82365\221\2\0\0\0\0\0\0\32\0/devices/platform/i82365.0\222\2\0\0\0\0\0\0\32\0/devices/platform/i82365.0\223\2\0\0\0\0\0\0\34\0/bus/platform/drivers/i82365\224\2\0\0\0\0\0\0\16\0/module/i82365\217\2\0\0\0\0\0\0\0\0\224\2\0\0\0\0\0\0\0\0\220\2\0\0\0\0\0\0\0\0\223\2\0\0\0\0\0\0\0\0\221\2\0\0\0\0\0\0\0\0\222\2\0\0\0\0\0\0\0\0", 4096) = 385
3850  12:52:19.927180 read(3, "", 4096) = 0
3850  12:52:19.927196 open("/sys/kernel/uevent_seqnum", O_RDONLY|O_LARGEFILE) = 4
3850  12:52:19.927231 read(4, "660\n", 32) = 4
3850  12:52:19.927256 close(4)          = 0
3850  12:52:19.927276 close(3)          = 0
3850  12:52:19.927289 munmap(0xb7dc5000, 4096) = 0
3850  12:52:19.927312 exit_group(0)     = ?




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Fri, 25 Jun 2010 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 25 Jun 2010 13:03:04 GMT) Full text and rfc822 format available.

Message #75 received at 586404@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Allard Hoeve <allard@byte.nl>
Cc: Petter Reinholdtsen <pere@hungry.com>, 586404@bugs.debian.org, springl-586404@bfw-online.de
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Fri, 25 Jun 2010 15:00:48 +0200
[Message part 1 (text/plain, inline)]
On Jun 25, Allard Hoeve <allard@byte.nl> wrote:

> > You need to strace the parent process for the whole time udevadm settle
> > is running.
This is useful, but we were talking about the parent udevd process.



-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Fri, 25 Jun 2010 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Allard Hoeve <allard@byte.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 25 Jun 2010 13:45:03 GMT) Full text and rfc822 format available.

Message #80 received at 586404@bugs.debian.org (full text, mbox):

From: Allard Hoeve <allard@byte.nl>
To: "Marco d'Itri" <md@linux.it>
Cc: Petter Reinholdtsen <pere@hungry.com>, 586404@bugs.debian.org, springl-586404@bfw-online.de
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Fri, 25 Jun 2010 15:43:29 +0200
[Message part 1 (text/plain, inline)]
>
>  This is useful, but we were talking about the parent udevd process.
>

Right :)

Will try to strace.

Regards,

Allard
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Thu, 01 Jul 2010 15:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 01 Jul 2010 15:51:10 GMT) Full text and rfc822 format available.

Message #85 received at 586404@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 586404@bugs.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Thu, 1 Jul 2010 17:48:09 +0200
Just a quick note from a DVD test I do at the moment.  The slow
udevadm settle problem do not show up with a DVD build, where the
udev-udeb package is not on the DVD.  Because of this the udev-udeb
package is not upgraded within d-i, and the installation is not slowed
down like it is when I do PXE installations.

This make me suspect the problem is caused by the upgrade of
udev-udeb.  Perhaps the udev daemons is not restarted during upgrades,
and the daemon and udevsettle binary end up using different protocols?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Fri, 02 Jul 2010 12:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 02 Jul 2010 12:27:13 GMT) Full text and rfc822 format available.

Message #90 received at 586404@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 586404@bugs.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Fri, 2 Jul 2010 14:24:58 +0200
[Petter Reinholdtsen]
> This make me suspect the problem is caused by the upgrade of
> udev-udeb.  Perhaps the udev daemons is not restarted during
> upgrades, and the daemon and udevsettle binary end up using
> different protocols?

I tried to restart udevd when udevadm settle started to hang for 3
minutes with my PXE installs, and after killing and restarting udevd
the problem went away.  After the restart, 'udevadm settle' started to
return in a fraction of a second again.

Perhaps the udeb should be written to handle upgrades and restart
udevd when it is?  Not quite sure how to do that, as the postinst
script is not executed for packages without a main-menu entry.
Perhaps udev-udeb need a main-menu entry to get it working?  Or
perhaps some isinstallable script can be used instead?

A workaround would be to rebuild the d-i images in Squeeze to use the
new udev-udeb, but the problem will probably resurface every time a
new version of udev enter testing.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Fri, 02 Jul 2010 12:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 02 Jul 2010 12:57:06 GMT) Full text and rfc822 format available.

Message #95 received at 586404@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Petter Reinholdtsen <pere@hungry.com>, 586404@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Fri, 2 Jul 2010 14:54:21 +0200
[Message part 1 (text/plain, inline)]
On Jul 02, Petter Reinholdtsen <pere@hungry.com> wrote:

> Perhaps the udeb should be written to handle upgrades and restart
> udevd when it is?  Not quite sure how to do that, as the postinst
Looks so, I never expected that the two packages could get out of sync.
But I have no idea about how to restart the daemon from the udeb.

> script is not executed for packages without a main-menu entry.
> Perhaps udev-udeb need a main-menu entry to get it working?  Or
> perhaps some isinstallable script can be used instead?

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Sun, 04 Jul 2010 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 04 Jul 2010 18:45:06 GMT) Full text and rfc822 format available.

Message #100 received at 586404@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 586404@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Sun, 4 Jul 2010 20:41:30 +0200
[Marco d'Itri]
> Looks so, I never expected that the two packages could get out of sync.

Is there some way to get the udevadm settle command work also with
older udevd versions?  Can the protocol be changed?

> But I have no idea about how to restart the daemon from the udeb.

I do not know either, but suspect a empty postinst script to get a
main-menu entry and a isinstallable script with the reloading might
solve it.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Sun, 04 Jul 2010 19:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 04 Jul 2010 19:33:04 GMT) Full text and rfc822 format available.

Message #105 received at 586404@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 586404@bugs.debian.org
Cc: udev@packages.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Sun, 4 Jul 2010 21:30:59 +0200
On Sunday 04 July 2010, Petter Reinholdtsen wrote:
> > Looks so, I never expected that the two packages could get out of
> > sync.
>
> Is there some way to get the udevadm settle command work also with
> older udevd versions?  Can the protocol be changed?

This is a D-I release management problem and should IMO not be "fixed" any 
other way.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Sun, 04 Jul 2010 19:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 04 Jul 2010 19:39:09 GMT) Full text and rfc822 format available.

Message #110 received at 586404@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Petter Reinholdtsen <pere@hungry.com>, 586404@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Sun, 4 Jul 2010 21:35:22 +0200
[Message part 1 (text/plain, inline)]
On Jul 04, Petter Reinholdtsen <pere@hungry.com> wrote:

> > Looks so, I never expected that the two packages could get out of sync.
> Is there some way to get the udevadm settle command work also with
> older udevd versions?  Can the protocol be changed?
No.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Tue, 06 Jul 2010 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 06 Jul 2010 00:03:03 GMT) Full text and rfc822 format available.

Message #115 received at 586404@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: 586404@bugs.debian.org, udev@packages.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Mon, 5 Jul 2010 21:00:19 -0300
Hello,

On Sun, Jul 4, 2010 at 4:30 PM, Frans Pop <elendil@planet.nl> wrote:
> On Sunday 04 July 2010, Petter Reinholdtsen wrote:
>> > Looks so, I never expected that the two packages could get out of
>> > sync.
>>
>> Is there some way to get the udevadm settle command work also with
>> older udevd versions?  Can the protocol be changed?
>
> This is a D-I release management problem and should IMO not be "fixed" any
> other way.

I agree with you; this shouldn't be fixed on udev but a new installer
version to be released.

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#586404; Package udev-udeb. (Sat, 24 Jul 2010 18:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 24 Jul 2010 18:57:08 GMT) Full text and rfc822 format available.

Message #120 received at 586404@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: debian-boot@lists.debian.org, 586404@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Sat, 24 Jul 2010 20:54:54 +0200
[Message part 1 (text/plain, inline)]
reassign 586404 debian-installer
retitle 586404 d-i must not mix udev packages from different releases
thanks

On Jul 06, Otavio Salvador <otavio@ossystems.com.br> wrote:

> I agree with you; this shouldn't be fixed on udev but a new installer
> version to be released.
Looks like there are no objections about this.
Now the package will log a warning when messages from udevadm are
ignored.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'udev-udeb' to 'debian-installer'. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Sat, 24 Jul 2010 18:57:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions udev/157-1. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Sat, 24 Jul 2010 18:57:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'd-i must not mix udev packages from different releases' from 'udev-udeb: Very slow installation in Squeeze caused by udevadm settle' Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Sat, 24 Jul 2010 18:57:11 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@ossystems.com.br>:
You have taken responsibility. (Tue, 27 Jul 2010 05:39:04 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Tue, 27 Jul 2010 05:39:04 GMT) Full text and rfc822 format available.

Message #131 received at 586404-done@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: md@linux.it, debian-boot@lists.debian.org, 586404-done@bugs.debian.org
Subject: Re: Bug#586404: udev-udeb: Very slow installation in Squeeze caused by udevadm settle
Date: Tue, 27 Jul 2010 02:35:20 -0300
Package: debian-installer
Version: 20100722

On Sat, Jul 24, 2010 at 3:54 PM, Marco d'Itri <md@linux.it> wrote:
>> I agree with you; this shouldn't be fixed on udev but a new installer
>> version to be released.
> Looks like there are no objections about this.
> Now the package will log a warning when messages from udevadm are
> ignored.

We have a new installer version built and it is in sync with udev version.

Closing this bug.

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Aug 2010 07:30:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:06:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.